lxc-ps(1)

NAME
lxc-ps - list the processes belonging to a specific container.

SYNOPSIS
lxc-ps
[--name name] [--lxc] [--host] [-- ps option]

DESCRIPTION
lxc-ps is a wrapper to the ps command to report the name of lxc container associated to reported processes.

The cgroup fs must be mounted before container creation, to be able to have lxc-ps to find the container associated to processes.

The additionnal specified ps options must not remove the default ps header and the pid information, to be able to have the lxc-ps to find the container associated to processes.

OPTIONS

\FC-n, --name \F[]name
    specify the container name to limit the output to the processes belonging to this container name.

\FC--lxc\F[]
    limit the output to the processes belonging to all lxc containers.

\FC--host\F[]
    limit the output to the processes belonging to the host.

\FC[ps options]\F[]
    The ps options must be separated from lxc-ps options by the \FC--\F[] parameter.

EXAMPLE

lxc-ps --name foo -- --forest
    list all the processes belonging to container 'foo' and show dependencies.

SEE ALSO
ps(1),

SEE ALSO
lxc(1), lxc-create(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-kill(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-ps(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR
Daniel Lezcano <\FCdaniel.lezcano@free.fr\F[]>